#region Using directives

using System;
using System.Collections;

using OpenTK;
using OpenTK.Graphics;
using OpenTK.Math;
using OpenTK.Input;
using OpenTK.Platform;

#endregion

namespace DataProcessing
{
    public class Line : IComparable
    {
        #region variable definitions

        private Vertex startPoint;
        private Vertex endPoint;
        private int pointsCount;
        private int theta;
        private int radius;
        private int row;

        public Vertex StartPoint
        {
            get { return startPoint; }
            set { startPoint = value; }
        }

        public Vertex EndPoint
        {
            get { return endPoint; }
            set { endPoint = value; }
        }

        public int PointsCount
        {
            get { return pointsCount; }
            set { pointsCount = value; }
        }

        public int Theta
        {
            get { return theta; }
            set { theta = value; }
        }

        public int Radius
        {
            get { return radius; }
            set { radius = value; }
        }

        public int Row
        {
            get { return row; }
            set { row = value; }
        }

        #endregion define variables

        public int CompareTo(object value)
        {
            return startPoint.Id.CompareTo(((Line)value).startPoint.Id);
        }        
    }
}
